Core - Feature # 50910

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Should have
Author: Robert Wildling Category: Install Tool
Created: 2013-08-08 Assigned To: Robert Wildling
Updated: 2013-09-13 Due date:

PHP Version:

Complexity:

Sprint Focus:

Subject: Fixed Container for Selection menu ion the left (install tool, feature request)
Description

Hi,

| am vey unsure if this is the proper place to post a festure request, please advice me, if | am wrong - thank you!

My wishes for the install tool would be:

- Make the container that holds the selection menu (<div id="t3-install-left"></div>) fixed by assigning the CSS rule position:fixed

- Along with that, it would be a great speed up, if (at least) the section "All configuration" could have its save button (which is now at
the very bottom of the list - which is still long, even though there are accordions now) either under the fixed left menu or on
somewhere fixed on the top, which would go along with the general Cl of TYPO3 CMS.

Thank you!
All the best, Robert

Related issues:
related to Core - Task # 38701: Make Install Tool section "All Configuration"... Resolved 2012-07-06
related to Core - Bug # 51989: Docheader fixed position Resolved 2013-09-13

Associated revisions

Revision 4e5d1e8e - 2013-09-13 18:46 - Christian Kuhn

[BUGFIX] Install tool: Fixed document header

The document header is not at a fixed position but "scrolls away".

Fix this by adding a missing t3skin structure .css that defines this.

Change-Id: la1b3209db1b5fa08157002bca950110830e2403e
Resolves: #51989

Related: #50910

Releases: 6.2

Reviewed-on: https://review.typo3.org/23812

Reviewed-by: Ernesto Baschny
Tested-by: Ernesto Baschny
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

Revision f5f5¢979 - 2013-09-13 22:57 - Ernesto Baschny

[FEATURE] Install tool: Left menu at fixed position
https://review.typo3.org/23812

- Streamlines install tool main template.

- Adds a ContextService and use that in the templates.
No more huge if/then/else constructs to differentiate
standalone and backend modes.

- Fixes the left menu (and TYPO3 logo), letting the
rest scroll up and down.

- In backend mode the menu and content starts right on top

(no further headers to make scrolling look good)

Releases: 6.2

Resolves: #50910

Change-Id: le2ec277026a82332b533af51a37e7f308dd24e8c
Reviewed-on: https://review.typo3.0rg/23798

Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Ernesto Baschny

Tested-by: Ernesto Baschny

History

#1 - 2013-08-08 20:23 - Christian Kuhn

+1 to both ...

@Felix: wanna have a look at this?

#2 - 2013-08-08 20:23 - Christian Kuhn

- Parent task set to #49162

#3 - 2013-09-12 22:46 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/23798

#4 - 2013-09-12 23:16 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23798

#5 - 2013-09-12 23:41 - Ernesto Baschny

Let's not stop the fun of improving the usability of the Install Tool. But meanwhile | asked the UX team to provide us some good looking designs that we

could use to improve it #51965. Let's see what comes out of it.

#6 - 2013-09-13 18:04 - Gerrit Code Review
Patch set 3 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/23798

#7 - 2013-09-13 19:55 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23798

#8 - 2013-09-13 21:47 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23798

#9 - 2013-09-13 22:27 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/23798

#10 - 2013-09-13 22:37 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23798

#11 - 2013-09-13 22:42 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23798

#12 - 2013-09-13 22:52 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/23798

#13 - 2013-09-13 23:30 - Ernesto Baschny
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f5{5¢9793bf5121017b0aféc0dc77347dd516360.
